Множественные уязвимости в VirtueMart Joomla! eCommerce Edition

Дата публикации:
09.10.2006
Дата изменения:
10.02.2009
Всего просмотров:
8799
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2006-5096
CVE-2006-6945
CVE-2007-0376
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
VirtueMart Joomla! eCommerce Edition 1.x
Уязвимые версии: VirtueMart Joomla! eCommerce Edition версии до 1.0.8

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и выполнить произвольные SQL команды в базе данных приложения.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "Itemid" в сценарии index.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта. Пример:

http://[host]/index.php?option=com_contact&Itemid=[code]

2. Уязвимость существует из-за недостаточной обработки входных данных. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

3. Уязвимость существует из-за недостаточной обработки входных данных в параметрах "category_id" и "product_id" в сценарии virtuemart_parser.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

URL производителя: sourceforge.net/project/showfiles.php?group_id=147802

Решение: Установите последнюю версию 1.0.8 с сайта производителя.

Журнал изменений:

10.02.2009
Изменено описание уязвимостей.

Ссылки: http://sourceforge.net/project/shownotes.php?release_id=474503

или введите имя

CAPTCHA